Couldn't create a ticket group of type 'Requestor'

Re: rt-users@lists.bestpractical.com

Hi,

Current setting is RT 3.6.4 using Oracle 11gr1 and it’s running fine.

We are migrating to RT 3.8.7 on a new server and new oracle version 11gr2

We installed RT 3.8.7 and copied all the RT schema to the new database
instance.

We did a test by using new RT version on existing 11gr1 database and it
worked fine - this proves that the RT installation is fine we presume.

We can login fine and browse through existing tickets, update existing
owned ticket
but having issues when we need to create , take/assign a ticket and
we cant see the contents of a ticket when it’s not assigned

Errors in rt log:

[Wed Oct 27 15:07:05 2010] [error]: Couldn’t create a ticket group of type
’Requestor’ for ticket 79713: Could not create group
(/opt/rt3/bin/…/lib/RT/Ticket_Overlay.pm:989)

[Wed Oct 27 15:07:05 2010] [crit]: Couldn’t create ticket groups for
ticket
79713. aborting Ticket creation.
(/opt/rt3/bin/…/lib/RT/Ticket_Overlay.pm:509)

[Wed Oct 27 15:07:05 2010] [error]: WebRT: Ticket could not be created due
to an internal error (/opt/rt3/share/html/Elements/Error:82)

Any ideas?

Thanks!

Fadel,

You say you migrated the 3.6.4 database over. Did you run the UPGRADE to the
DataBase?

There are instructions on this in the README for the upgrade.

Kenn
LBNLOn Wed, Oct 27, 2010 at 11:10 AM, Fadel Kamreddine < fadel.kamreddine@biond.net> wrote:

Hi,

Current setting is RT 3.6.4 using Oracle 11gr1 and it’s running fine.

We are migrating to RT 3.8.7 on a new server and new oracle version 11gr2

We installed RT 3.8.7 and copied all the RT schema to the new database
instance.

We did a test by using new RT version on existing 11gr1 database and it
worked fine - this proves that the RT installation is fine we presume.

We can login fine and browse through existing tickets, update existing
owned ticket but having issues when we need to create , take/assign a
ticket and
we cant see the contents of a ticket when it’s not assigned

Errors in rt log:

[Wed Oct 27 15:07:05 2010] [error]: Couldn’t create a ticket group of type
’Requestor’ for ticket 79713: Could not create group
(/opt/rt3/bin/…/lib/RT/Ticket_Overlay.pm:989)

[Wed Oct 27 15:07:05 2010] [crit]: Couldn’t create ticket groups for
ticket
79713. aborting Ticket creation.
(/opt/rt3/bin/…/lib/RT/Ticket_Overlay.pm:509)

[Wed Oct 27 15:07:05 2010] [error]: WebRT: Ticket could not be created due
to an internal error (/opt/rt3/share/html/Elements/Error:82)

Any ideas?

Thanks!

An idea what is the issue?

Thanks!

FadelFrom: rt-users-bounces@lists.bestpractical.com [mailto:
rt-users-bounces@lists.bestpractical.com] *On Behalf Of *Kenneth Crocker
Sent: October 27, 2010 3:50 PM
To: rt-users@lists.bestpractical.com
Subject: Re: [rt-users] Couldn’t create a ticket group of type ‘Requestor’

Fadel,

You say you migrated the 3.6.4 database over. Did you run the UPGRADE to the
DataBase?

There are instructions on this in the README for the upgrade.

Kenn
LBNL

Raise log level to debug and try again after server restart. But most
probably you failed to upgrade properly.

Regards, Ruslan. From phone.

написал:

An idea what is the issue?

Thanks!

Fadel

From: rt-users-bounces@lists.bestpractical.com [mailto:
rt-users-bounces@lists.bestpractical.com] *On Behalf Of *Kenneth Crocker
Sent: October 27, 2010 3:50 PM
To: rt-users@lists.bestpractical.com
Subject: Re: [rt-users] Couldn’t create a ticket group of type
’Requestor’

Fadel,

You say you migrated the 3.6.4 database over. Did you run the UPGRADE to
the

Hello all,

I tried again upgrading the db part and as you see no appearing errors.
Still we have errors when creating a ticket or assigning unassigned tickets

Thanks!

Fadel

–upgrade begins–

./sbin/rt-setup-database --action upgrade In order to create or update

your RT database, this script needs to connect to your Oracle instance on
x.x.x.x as rt Please specify that user’s database password below. If the
user has no database password, just press return.

Password:

Working with:

Type: Oracle

Host: x.x.x.x

Name: rtdb

User: rt

DBA: rt

Enter RT version you’re upgrading from: 3.6.4

Going to apply following upgrades:

  • 3.7.1

  • 3.7.3

  • 3.7.10

  • 3.7.15

  • 3.7.19

  • 3.7.81

  • 3.7.82

  • 3.7.85

  • 3.7.86

  • 3.7.87

  • 3.8.0

  • 3.8.1

  • 3.8.2

  • 3.8.3

  • 3.8.4

  • 3.8.6

Enter RT version if you want to stop upgrade at some point,

or leave it blank if you want apply above upgrades:

IT’S VERY IMPORTANT TO BACK UP BEFORE THIS STEP

Proceed [y/N]:y

Processing 3.7.1

Now inserting data

Processing 3.7.3

Now populating database schema.

Processing 3.7.10

Now inserting data

Processing 3.7.15

Now inserting data

Processing 3.7.19

Now inserting data

Added description to scrip #67

Added description to scrip #22

Added description to scrip #23

Added description to scrip #1

Added description to scrip #4

Added description to scrip #7

Added description to scrip #21

Processing 3.7.81

Now populating database schema.

Processing 3.7.82

Now inserting data

Processing 3.7.85

Now inserting data

Processing 3.7.86

Now inserting data

Processing 3.7.87

Now inserting data

Processing 3.8.0

Now inserting data

Processing 3.8.1

Now inserting data

Processing 3.8.2

Now inserting data

[Tue Nov 9 19:50:54 2010] [warning]: Going to add [OLD] prefix to all
temlates in approvals queue. If you never used approvals then you can delete
all these templates with [OLD] prefix. Leave new there may be you will want
to use approvals some time. (./etc/upgrade/3.8.2/content:3) [Tue Nov 9
19:50:56 2010] [warning]: IMPORTANT: We’re going to delete all scrips in
Approvals queue and save them in ‘rt-approvals-scrips-q3Mu’ file.

(./etc/upgrade/3.8.2/content:165)

Processing 3.8.3

Now inserting data

Processing 3.8.4

Now inserting data

Processing 3.8.6

Now inserting data

Done.

–upgrade ends–

Please note that the “rt-setup-database” script was executed from the RT
installation folder (NOT the installed folder in /opt/rt3)From: rt-users-bounces@lists.bestpractical.com [mailto:
rt-users-bounces@lists.bestpractical.com] *On Behalf Of *Kenneth Crocker
Sent: October 27, 2010 3:50 PM
To: rt-users@lists.bestpractical.com
Subject: Re: [rt-users] Couldn’t create a ticket group of type ‘Requestor’

Fadel,

You say you migrated the 3.6.4 database over. Did you run the UPGRADE to the
DataBase?

There are instructions on this in the README for the upgrade.

Kenn
LBNL